// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 77;
	objects = {

/* Begin PBXBuildFile section */
		059E844A164B0E39971303B9 /* Pods_TSLiveWallpaper.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = E33A770AEFA5810AED7219D3 /* Pods_TSLiveWallpaper.framework */; };
		A81CA4652D15685F00A3AAC8 /* TSLaunchVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4642D15685D00A3AAC8 /* TSLaunchVC.swift */; };
		A81CA4692D156AB600A3AAC8 /* TSBaseVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4682D156AAB00A3AAC8 /* TSBaseVC.swift */; };
		A81CA46B2D156BDC00A3AAC8 /* TSBaseNavigationC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA46A2D156BC600A3AAC8 /* TSBaseNavigationC.swift */; };
		A81CA46E2D156C7000A3AAC8 /* GlobalImports.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA46D2D156C6F00A3AAC8 /* GlobalImports.swift */; };
		A81CA4722D1575B900A3AAC8 /* TSBaseNavigationBarView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4712D1575B800A3AAC8 /* TSBaseNavigationBarView.swift */; };
		A81CA4772D15779E00A3AAC8 /* UIColor+Ex.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4762D15779400A3AAC8 /* UIColor+Ex.swift */; };
		A81CA4792D1577E800A3AAC8 /* NSString+Ex.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4782D1577E100A3AAC8 /* NSString+Ex.swift */; };
		A81CA47B2D15784800A3AAC8 /* Int+Ex.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA47A2D15784400A3AAC8 /* Int+Ex.swift */; };
		A81CA47F2D15789C00A3AAC8 /* TSConfig.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA47E2D15789A00A3AAC8 /* TSConfig.swift */; };
		A81CA4812D157B1300A3AAC8 /* UIFont+Ex.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4802D157B0A00A3AAC8 /* UIFont+Ex.swift */; };
		A81CA4832D157F5C00A3AAC8 /* UIImageView+Ex.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4822D157F5200A3AAC8 /* UIImageView+Ex.swift */; };
		A81CA4852D1582A600A3AAC8 /* UIButton+Ex.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4842D15829E00A3AAC8 /* UIButton+Ex.swift */; };
		A81CA4872D15832900A3AAC8 /* UILabel+Ex.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4862D15830E00A3AAC8 /* UILabel+Ex.swift */; };
		A81CA48B2D15843700A3AAC8 /* TSCommonTool.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA48A2D15843500A3AAC8 /* TSCommonTool.swift */; };
		A81CA48F2D15857B00A3AAC8 /* TSTabBarController.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA48E2D15857900A3AAC8 /* TSTabBarController.swift */; };
		A81CA4952D1652B500A3AAC8 /* TSEditLiveVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4942D1652B300A3AAC8 /* TSEditLiveVC.swift */; };
		A81CA4972D1652BD00A3AAC8 /* TSRandomWallpaperVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4962D1652BB00A3AAC8 /* TSRandomWallpaperVC.swift */; };
		A81CA4992D1652C400A3AAC8 /* TSMineVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4982D1652C200A3AAC8 /* TSMineVC.swift */; };
		A81CA49B2D1652CA00A3AAC8 /* TSHomeVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA49A2D1652C900A3AAC8 /* TSHomeVC.swift */; };
		A81CA49D2D1654B600A3AAC8 /* UITableView+Ex.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA49C2D1654A500A3AAC8 /* UITableView+Ex.swift */; };
		A81CA49F2D1655CE00A3AAC8 /* UICollectionView+Ex.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA49E2D1655BE00A3AAC8 /* UICollectionView+Ex.swift */; };
		A81CA4A12D166F3C00A3AAC8 /* TSBasicItemModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4A02D166F3A00A3AAC8 /* TSBasicItemModel.swift */; };
		A81CA4A42D16748800A3AAC8 /* TSViewTool.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4A32D16748700A3AAC8 /* TSViewTool.swift */; };
		A81CA4A62D16915F00A3AAC8 /* Dictionary+Ex.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4A52D16914C00A3AAC8 /* Dictionary+Ex.swift */; };
		A81CA4A82D16918900A3AAC8 /* Array+Ex.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4A72D16918400A3AAC8 /* Array+Ex.swift */; };
		A81CA4AA2D16943800A3AAC8 /* TSMineCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4A92D16943200A3AAC8 /* TSMineCell.swift */; };
		A81CA4AD2D16944B00A3AAC8 /* TSBaseTabViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4AB2D16944B00A3AAC8 /* TSBaseTabViewCell.swift */; };
		A81CA4AE2D16944B00A3AAC8 /* TSBaseCollectionCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4AC2D16944B00A3AAC8 /* TSBaseCollectionCell.swift */; };
		A81CA4B02D1694C900A3AAC8 /* Date+Ex.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4AF2D1694C200A3AAC8 /* Date+Ex.swift */; };
		A81CA4B42D169C2E00A3AAC8 /* TSToastTool.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4B32D169C2600A3AAC8 /* TSToastTool.swift */; };
		A81CA4B62D169F2400A3AAC8 /* WindowHelper.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4B52D169F1A00A3AAC8 /* WindowHelper.swift */; };
		A81CA4B82D16A6BD00A3AAC8 /* View+Ex.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4B72D16A6B600A3AAC8 /* View+Ex.swift */; };
		A81CA4BA2D16B6E300A3AAC8 /* TSHomeCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81CA4B92D16B6DC00A3AAC8 /* TSHomeCell.swift */; };
		A81F5B2B2D18F9C600740085 /* UICollectionView+More.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81F5B2A2D18F9C600740085 /* UICollectionView+More.swift */; };
		A81F5B322D18FA2E00740085 /* Component.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81F5B2F2D18FA2E00740085 /* Component.swift */; };
		A81F5B332D18FA2E00740085 /* CommonSectionComponent.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81F5B302D18FA2E00740085 /* CommonSectionComponent.swift */; };
		A81F5B342D18FA2E00740085 /* CollectionViewComponent.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81F5B2E2D18FA2E00740085 /* CollectionViewComponent.swift */; };
		A81F5B392D19037800740085 /* TSBaseModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81F5B382D19037100740085 /* TSBaseModel.swift */; };
		A81F5B3C2D19087100740085 /* TSRandomWallpaperCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81F5B3B2D19086B00740085 /* TSRandomWallpaperCell.swift */; };
		A81F5B3E2D19088100740085 /* TSRandomWallpaperBannerCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81F5B3D2D19087600740085 /* TSRandomWallpaperBannerCell.swift */; };
		A81F5B402D194EA900740085 /* UIDevice+Extension.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81F5B3F2D194EA900740085 /* UIDevice+Extension.swift */; };
		A81F5B442D19559C00740085 /* EditorVideoControlViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81F5B432D19559C00740085 /* EditorVideoControlViewCell.swift */; };
		A81F5B452D19559C00740085 /* EditorVideoControlView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81F5B422D19559C00740085 /* EditorVideoControlView.swift */; };
		A81F5B472D19562800740085 /* EditorVideoControlMaskView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81F5B462D19562800740085 /* EditorVideoControlMaskView.swift */; };
		A81F5B492D1956EA00740085 /* UIScreen.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81F5B482D1956E600740085 /* UIScreen.swift */; };
		A81F5B4B2D19658300740085 /* PhotoTools.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81F5B4A2D19658300740085 /* PhotoTools.swift */; };
		A81F5B4D2D1965F800740085 /* UIImage+Ex.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81F5B4C2D1965EF00740085 /* UIImage+Ex.swift */; };
		A81F5B4F2D19674600740085 /* AVAsset+Ex.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81F5B4E2D19673500740085 /* AVAsset+Ex.swift */; };
		A81F5B522D19685900740085 /* response.json in Resources */ = {isa = PBXBuildFile; fileRef = A81F5B512D19685900740085 /* response.json */; };
		A81F5B542D1969E000740085 /* CGFloat+Ex.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81F5B532D1969D500740085 /* CGFloat+Ex.swift */; };
		A81F5B562D1982BF00740085 /* TSImageDataCenter.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81F5B552D1982A900740085 /* TSImageDataCenter.swift */; };
		A81F5B5B2D1A5F2300740085 /* TSHomeTopBannerCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81F5B5A2D1A5F1800740085 /* TSHomeTopBannerCell.swift */; };
		A81F5B5D2D1A906C00740085 /* TSHomeDataModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81F5B5C2D1A905800740085 /* TSHomeDataModel.swift */; };
		A81F5B5F2D1A909300740085 /* TSRandomWallpaperModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81F5B5E2D1A907B00740085 /* TSRandomWallpaperModel.swift */; };
		A81F5B622D1AB17E00740085 /* TSRandomWallpaperBrowseVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A81F5B612D1AB17C00740085 /* TSRandomWallpaperBrowseVC.swift */; };
		A83946212D1D61D600ABFF0D /* TSRateUsVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A83946202D1D61D400ABFF0D /* TSRateUsVC.swift */; };
		A83946272D1D623800ABFF0D /* TSShareUsVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A83946262D1D623800ABFF0D /* TSShareUsVC.swift */; };
		A839462F2D1D64BF00ABFF0D /* TSAboutUsVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A839462E2D1D64B300ABFF0D /* TSAboutUsVC.swift */; };
		A83946312D1D66A000ABFF0D /* TSTermsServiceVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A83946302D1D669E00ABFF0D /* TSTermsServiceVC.swift */; };
		A83946332D1D66A900ABFF0D /* TSPrivacyPolicyVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A83946322D1D66A800ABFF0D /* TSPrivacyPolicyVC.swift */; };
		A839463A2D1D6E3000ABFF0D /* TSRandomWallpaperTutorialsVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A83946392D1D6E2F00ABFF0D /* TSRandomWallpaperTutorialsVC.swift */; };
		A839463C2D1D6E3600ABFF0D /* TSRandomWallpaperCopyrightVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A839463B2D1D6E3500ABFF0D /* TSRandomWallpaperCopyrightVC.swift */; };
		A839463F2D1D6FB700ABFF0D /* TSLiveWallpaperTutorialsVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A839463E2D1D6FB600ABFF0D /* TSLiveWallpaperTutorialsVC.swift */; };
		A83946432D1D701500ABFF0D /* TSLiveWallpaperCopyrightVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A83946422D1D701300ABFF0D /* TSLiveWallpaperCopyrightVC.swift */; };
		A8477C972D22737900DF0B93 /* TSBusinessWebVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8477C962D22737800DF0B93 /* TSBusinessWebVC.swift */; };
		A8477C992D2291F800DF0B93 /* UserDefault+Ex.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8477C982D2291F100DF0B93 /* UserDefault+Ex.swift */; };
		A8477C9F2D22ABDA00DF0B93 /* TSEditLiveEidtCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8477C9E2D22ABD500DF0B93 /* TSEditLiveEidtCell.swift */; };
		A84C239A2D1E3A4300B61B55 /* GPVideoPlayerView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A84C23962D1E3A4300B61B55 /* GPVideoPlayerView.swift */; };
		A84C239B2D1E3A4300B61B55 /* GPVideoClipperController.swift in Sources */ = {isa = PBXBuildFile; fileRef = A84C23982D1E3A4300B61B55 /* GPVideoClipperController.swift */; };
		A84C239C2D1E3A4300B61B55 /* GPVideoClipperView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A84C23972D1E3A4300B61B55 /* GPVideoClipperView.swift */; };
		A84C239D2D1E3A4300B61B55 /* GPVideoConfigMaker.swift in Sources */ = {isa = PBXBuildFile; fileRef = A84C23952D1E3A4300B61B55 /* GPVideoConfigMaker.swift */; };
		A84C239F2D1E88CD00B61B55 /* TSFileManagerTool.swift in Sources */ = {isa = PBXBuildFile; fileRef = A84C239E2D1E88C500B61B55 /* TSFileManagerTool.swift */; };
		A858EE172D1CF49B004B680F /* LivePhoto.swift in Sources */ = {isa = PBXBuildFile; fileRef = A858EE162D1CF49B004B680F /* LivePhoto.swift */; };
		A8C4C01D2D2397B9003C46FC /* UIViewController+Ex.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8C4C01C2D2397B4003C46FC /* UIViewController+Ex.swift */; };
		A8C4C0272D23CD88003C46FC /* AVAssetExtension.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8C4C0202D23CD88003C46FC /* AVAssetExtension.swift */; };
		A8C4C0282D23CD88003C46FC /* LivePhotoCreater.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8C4C0242D23CD88003C46FC /* LivePhotoCreater.swift */; };
		A8C4C0292D23CD88003C46FC /* VideoRecorder.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8C4C0252D23CD88003C46FC /* VideoRecorder.swift */; };
		A8C4C02A2D23CD88003C46FC /* Converter4Video.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8C4C0222D23CD88003C46FC /* Converter4Video.swift */; };
		A8C4C02B2D23CD88003C46FC /* Converter4Image.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8C4C0212D23CD88003C46FC /* Converter4Image.swift */; };
		A8C4C02D2D23D261003C46FC /* metadata.mov in Resources */ = {isa = PBXBuildFile; fileRef = A8C4C02C2D23D261003C46FC /* metadata.mov */; };
		A8C4C02F2D23DCCC003C46FC /* 1.mov in Resources */ = {isa = PBXBuildFile; fileRef = A8C4C02E2D23DCCC003C46FC /* 1.mov */; };
		A8E56BF62D1520EC003C54AF /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8E56BEC2D1520EC003C54AF /* AppDelegate.swift */; };
		A8E56BF92D1520EC003C54AF /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = A8E56BED2D1520EC003C54AF /* Assets.xcassets */; };
		A8E56BFB2D1520EC003C54AF /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = A8E56BF02D1520EC003C54AF /* LaunchScreen.storyboard */; };
		A8F778AE2D1AC12400BF55D5 /* TSRandomWallpaperBrowseView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8F778AD2D1AC12100BF55D5 /* TSRandomWallpaperBrowseView.swift */; };
		A8F778B02D1AC17500BF55D5 /* TSBaseView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8F778AF2D1AC16F00BF55D5 /* TSBaseView.swift */; };
		A8F778B22D1BA07200BF55D5 /* TSRandomWallpaperBrowseSelectView.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8F778B12D1BA07000BF55D5 /* TSRandomWallpaperBrowseSelectView.swift */; };
		A8F778B42D1BB8F600BF55D5 /* PhotoManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8F778B32D1BB8F300BF55D5 /* PhotoManager.swift */; };
		A8F778B72D1BE9A500BF55D5 /* TSLiveWallpaperBrowseVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = A8F778B62D1BE9A100BF55D5 /* TSLiveWallpaperBrowseVC.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		71E5F623537702A8306DF3C8 /* Pods-TSLiveWallpaper.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-TSLiveWallpaper.release.xcconfig"; path = "Target Support Files/Pods-TSLiveWallpaper/Pods-TSLiveWallpaper.release.xcconfig"; sourceTree = "<group>"; };
		A81CA4642D15685D00A3AAC8 /* TSLaunchVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSLaunchVC.swift; sourceTree = "<group>"; };
		A81CA4682D156AAB00A3AAC8 /* TSBaseVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSBaseVC.swift; sourceTree = "<group>"; };
		A81CA46A2D156BC600A3AAC8 /* TSBaseNavigationC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSBaseNavigationC.swift; sourceTree = "<group>"; };
		A81CA46D2D156C6F00A3AAC8 /* GlobalImports.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GlobalImports.swift; sourceTree = "<group>"; };
		A81CA4712D1575B800A3AAC8 /* TSBaseNavigationBarView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSBaseNavigationBarView.swift; sourceTree = "<group>"; };
		A81CA4762D15779400A3AAC8 /* UIColor+Ex.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIColor+Ex.swift"; sourceTree = "<group>"; };
		A81CA4782D1577E100A3AAC8 /* NSString+Ex.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "NSString+Ex.swift"; sourceTree = "<group>"; };
		A81CA47A2D15784400A3AAC8 /* Int+Ex.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Int+Ex.swift"; sourceTree = "<group>"; };
		A81CA47E2D15789A00A3AAC8 /* TSConfig.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSConfig.swift; sourceTree = "<group>"; };
		A81CA4802D157B0A00A3AAC8 /* UIFont+Ex.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIFont+Ex.swift"; sourceTree = "<group>"; };
		A81CA4822D157F5200A3AAC8 /* UIImageView+Ex.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIImageView+Ex.swift"; sourceTree = "<group>"; };
		A81CA4842D15829E00A3AAC8 /* UIButton+Ex.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIButton+Ex.swift"; sourceTree = "<group>"; };
		A81CA4862D15830E00A3AAC8 /* UILabel+Ex.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UILabel+Ex.swift"; sourceTree = "<group>"; };
		A81CA48A2D15843500A3AAC8 /* TSCommonTool.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSCommonTool.swift; sourceTree = "<group>"; };
		A81CA48E2D15857900A3AAC8 /* TSTabBarController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSTabBarController.swift; sourceTree = "<group>"; };
		A81CA4942D1652B300A3AAC8 /* TSEditLiveVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSEditLiveVC.swift; sourceTree = "<group>"; };
		A81CA4962D1652BB00A3AAC8 /* TSRandomWallpaperVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSRandomWallpaperVC.swift; sourceTree = "<group>"; };
		A81CA4982D1652C200A3AAC8 /* TSMineVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSMineVC.swift; sourceTree = "<group>"; };
		A81CA49A2D1652C900A3AAC8 /* TSHomeVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSHomeVC.swift; sourceTree = "<group>"; };
		A81CA49C2D1654A500A3AAC8 /* UITableView+Ex.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UITableView+Ex.swift"; sourceTree = "<group>"; };
		A81CA49E2D1655BE00A3AAC8 /* UICollectionView+Ex.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UICollectionView+Ex.swift"; sourceTree = "<group>"; };
		A81CA4A02D166F3A00A3AAC8 /* TSBasicItemModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSBasicItemModel.swift; sourceTree = "<group>"; };
		A81CA4A32D16748700A3AAC8 /* TSViewTool.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSViewTool.swift; sourceTree = "<group>"; };
		A81CA4A52D16914C00A3AAC8 /* Dictionary+Ex.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Dictionary+Ex.swift"; sourceTree = "<group>"; };
		A81CA4A72D16918400A3AAC8 /* Array+Ex.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Array+Ex.swift"; sourceTree = "<group>"; };
		A81CA4A92D16943200A3AAC8 /* TSMineCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSMineCell.swift; sourceTree = "<group>"; };
		A81CA4AB2D16944B00A3AAC8 /* TSBaseTabViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSBaseTabViewCell.swift; sourceTree = "<group>"; };
		A81CA4AC2D16944B00A3AAC8 /* TSBaseCollectionCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSBaseCollectionCell.swift; sourceTree = "<group>"; };
		A81CA4AF2D1694C200A3AAC8 /* Date+Ex.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Date+Ex.swift"; sourceTree = "<group>"; };
		A81CA4B32D169C2600A3AAC8 /* TSToastTool.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSToastTool.swift; sourceTree = "<group>"; };
		A81CA4B52D169F1A00A3AAC8 /* WindowHelper.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WindowHelper.swift; sourceTree = "<group>"; };
		A81CA4B72D16A6B600A3AAC8 /* View+Ex.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "View+Ex.swift"; sourceTree = "<group>"; };
		A81CA4B92D16B6DC00A3AAC8 /* TSHomeCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSHomeCell.swift; sourceTree = "<group>"; };
		A81F5B2A2D18F9C600740085 /* UICollectionView+More.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UICollectionView+More.swift"; sourceTree = "<group>"; };
		A81F5B2E2D18FA2E00740085 /* CollectionViewComponent.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CollectionViewComponent.swift; sourceTree = "<group>"; };
		A81F5B2F2D18FA2E00740085 /* Component.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Component.swift; sourceTree = "<group>"; };
		A81F5B302D18FA2E00740085 /* CommonSectionComponent.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CommonSectionComponent.swift; sourceTree = "<group>"; };
		A81F5B382D19037100740085 /* TSBaseModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSBaseModel.swift; sourceTree = "<group>"; };
		A81F5B3B2D19086B00740085 /* TSRandomWallpaperCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSRandomWallpaperCell.swift; sourceTree = "<group>"; };
		A81F5B3D2D19087600740085 /* TSRandomWallpaperBannerCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSRandomWallpaperBannerCell.swift; sourceTree = "<group>"; };
		A81F5B3F2D194EA900740085 /* UIDevice+Extension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIDevice+Extension.swift"; sourceTree = "<group>"; };
		A81F5B422D19559C00740085 /* EditorVideoControlView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = EditorVideoControlView.swift; sourceTree = "<group>"; };
		A81F5B432D19559C00740085 /* EditorVideoControlViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = EditorVideoControlViewCell.swift; sourceTree = "<group>"; };
		A81F5B462D19562800740085 /* EditorVideoControlMaskView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = EditorVideoControlMaskView.swift; sourceTree = "<group>"; };
		A81F5B482D1956E600740085 /* UIScreen.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UIScreen.swift; sourceTree = "<group>"; };
		A81F5B4A2D19658300740085 /* PhotoTools.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PhotoTools.swift; sourceTree = "<group>"; };
		A81F5B4C2D1965EF00740085 /* UIImage+Ex.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIImage+Ex.swift"; sourceTree = "<group>"; };
		A81F5B4E2D19673500740085 /* AVAsset+Ex.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "AVAsset+Ex.swift"; sourceTree = "<group>"; };
		A81F5B512D19685900740085 /* response.json */ = {isa = PBXFileReference; lastKnownFileType = text.json; path = response.json; sourceTree = "<group>"; };
		A81F5B532D1969D500740085 /* CGFloat+Ex.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "CGFloat+Ex.swift"; sourceTree = "<group>"; };
		A81F5B552D1982A900740085 /* TSImageDataCenter.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSImageDataCenter.swift; sourceTree = "<group>"; };
		A81F5B5A2D1A5F1800740085 /* TSHomeTopBannerCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSHomeTopBannerCell.swift; sourceTree = "<group>"; };
		A81F5B5C2D1A905800740085 /* TSHomeDataModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSHomeDataModel.swift; sourceTree = "<group>"; };
		A81F5B5E2D1A907B00740085 /* TSRandomWallpaperModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSRandomWallpaperModel.swift; sourceTree = "<group>"; };
		A81F5B612D1AB17C00740085 /* TSRandomWallpaperBrowseVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSRandomWallpaperBrowseVC.swift; sourceTree = "<group>"; };
		A83946202D1D61D400ABFF0D /* TSRateUsVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSRateUsVC.swift; sourceTree = "<group>"; };
		A83946262D1D623800ABFF0D /* TSShareUsVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSShareUsVC.swift; sourceTree = "<group>"; };
		A839462E2D1D64B300ABFF0D /* TSAboutUsVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSAboutUsVC.swift; sourceTree = "<group>"; };
		A83946302D1D669E00ABFF0D /* TSTermsServiceVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSTermsServiceVC.swift; sourceTree = "<group>"; };
		A83946322D1D66A800ABFF0D /* TSPrivacyPolicyVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSPrivacyPolicyVC.swift; sourceTree = "<group>"; };
		A83946392D1D6E2F00ABFF0D /* TSRandomWallpaperTutorialsVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSRandomWallpaperTutorialsVC.swift; sourceTree = "<group>"; };
		A839463B2D1D6E3500ABFF0D /* TSRandomWallpaperCopyrightVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSRandomWallpaperCopyrightVC.swift; sourceTree = "<group>"; };
		A839463E2D1D6FB600ABFF0D /* TSLiveWallpaperTutorialsVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSLiveWallpaperTutorialsVC.swift; sourceTree = "<group>"; };
		A83946422D1D701300ABFF0D /* TSLiveWallpaperCopyrightVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSLiveWallpaperCopyrightVC.swift; sourceTree = "<group>"; };
		A8477C962D22737800DF0B93 /* TSBusinessWebVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSBusinessWebVC.swift; sourceTree = "<group>"; };
		A8477C982D2291F100DF0B93 /* UserDefault+Ex.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UserDefault+Ex.swift"; sourceTree = "<group>"; };
		A8477C9E2D22ABD500DF0B93 /* TSEditLiveEidtCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSEditLiveEidtCell.swift; sourceTree = "<group>"; };
		A84C23952D1E3A4300B61B55 /* GPVideoConfigMaker.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GPVideoConfigMaker.swift; sourceTree = "<group>"; };
		A84C23962D1E3A4300B61B55 /* GPVideoPlayerView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GPVideoPlayerView.swift; sourceTree = "<group>"; };
		A84C23972D1E3A4300B61B55 /* GPVideoClipperView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GPVideoClipperView.swift; sourceTree = "<group>"; };
		A84C23982D1E3A4300B61B55 /* GPVideoClipperController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GPVideoClipperController.swift; sourceTree = "<group>"; };
		A84C239E2D1E88C500B61B55 /* TSFileManagerTool.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSFileManagerTool.swift; sourceTree = "<group>"; };
		A858EE162D1CF49B004B680F /* LivePhoto.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LivePhoto.swift; sourceTree = "<group>"; };
		A8C4C01C2D2397B4003C46FC /* UIViewController+Ex.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIViewController+Ex.swift"; sourceTree = "<group>"; };
		A8C4C0202D23CD88003C46FC /* AVAssetExtension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AVAssetExtension.swift; sourceTree = "<group>"; };
		A8C4C0212D23CD88003C46FC /* Converter4Image.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Converter4Image.swift; sourceTree = "<group>"; };
		A8C4C0222D23CD88003C46FC /* Converter4Video.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Converter4Video.swift; sourceTree = "<group>"; };
		A8C4C0242D23CD88003C46FC /* LivePhotoCreater.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LivePhotoCreater.swift; sourceTree = "<group>"; };
		A8C4C0252D23CD88003C46FC /* VideoRecorder.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = VideoRecorder.swift; sourceTree = "<group>"; };
		A8C4C02C2D23D261003C46FC /* metadata.mov */ = {isa = PBXFileReference; lastKnownFileType = video.quicktime; path = metadata.mov; sourceTree = "<group>"; };
		A8C4C02E2D23DCCC003C46FC /* 1.mov */ = {isa = PBXFileReference; lastKnownFileType = video.quicktime; path = 1.mov; sourceTree = "<group>"; };
		A8E56BD42D1520DD003C54AF /* TSLiveWallpaper.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = TSLiveWallpaper.app; sourceTree = BUILT_PRODUCTS_DIR; };
		A8E56BEC2D1520EC003C54AF /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		A8E56BED2D1520EC003C54AF /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		A8E56BEE2D1520EC003C54AF /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		A8E56BEF2D1520EC003C54AF /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		A8F778AD2D1AC12100BF55D5 /* TSRandomWallpaperBrowseView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSRandomWallpaperBrowseView.swift; sourceTree = "<group>"; };
		A8F778AF2D1AC16F00BF55D5 /* TSBaseView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSBaseView.swift; sourceTree = "<group>"; };
		A8F778B12D1BA07000BF55D5 /* TSRandomWallpaperBrowseSelectView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSRandomWallpaperBrowseSelectView.swift; sourceTree = "<group>"; };
		A8F778B32D1BB8F300BF55D5 /* PhotoManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PhotoManager.swift; sourceTree = "<group>"; };
		A8F778B62D1BE9A100BF55D5 /* TSLiveWallpaperBrowseVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TSLiveWallpaperBrowseVC.swift; sourceTree = "<group>"; };
		CA36AE9B313600F95F04D9CA /* Pods-TSLiveWallpaper.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-TSLiveWallpaper.debug.xcconfig"; path = "Target Support Files/Pods-TSLiveWallpaper/Pods-TSLiveWallpaper.debug.xcconfig"; sourceTree = "<group>"; };
		E33A770AEFA5810AED7219D3 /* Pods_TSLiveWallpaper.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_TSLiveWallpaper.framework; sourceTree = BUILT_PRODUCTS_DIR; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		A8E56BD12D1520DD003C54AF /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				059E844A164B0E39971303B9 /* Pods_TSLiveWallpaper.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		26583F0148474A7C756E32C9 /* Pods */ = {
			isa = PBXGroup;
			children = (
				CA36AE9B313600F95F04D9CA /* Pods-TSLiveWallpaper.debug.xcconfig */,
				71E5F623537702A8306DF3C8 /* Pods-TSLiveWallpaper.release.xcconfig */,
			);
			path = Pods;
			sourceTree = "<group>";
		};
		A81CA45F2D1567CD00A3AAC8 /* LaunchVC */ = {
			isa = PBXGroup;
			children = (
				A81CA4642D15685D00A3AAC8 /* TSLaunchVC.swift */,
			);
			path = LaunchVC;
			sourceTree = "<group>";
		};
		A81CA4662D156A8100A3AAC8 /* Common */ = {
			isa = PBXGroup;
			children = (
				A858EE182D1CF635004B680F /* ThirdParty */,
				A81CA4882D15840F00A3AAC8 /* Tool */,
				A81CA4752D15778800A3AAC8 /* Ex */,
				A81CA46C2D156C6800A3AAC8 /* GlobalImports */,
				A81CA4672D156A9400A3AAC8 /* BaseClass */,
			);
			path = Common;
			sourceTree = "<group>";
		};
		A81CA4672D156A9400A3AAC8 /* BaseClass */ = {
			isa = PBXGroup;
			children = (
				A81F5B382D19037100740085 /* TSBaseModel.swift */,
				A8F778AF2D1AC16F00BF55D5 /* TSBaseView.swift */,
				A81CA4AB2D16944B00A3AAC8 /* TSBaseTabViewCell.swift */,
				A81CA4AC2D16944B00A3AAC8 /* TSBaseCollectionCell.swift */,
				A81CA4A02D166F3A00A3AAC8 /* TSBasicItemModel.swift */,
				A81CA4712D1575B800A3AAC8 /* TSBaseNavigationBarView.swift */,
				A81CA46A2D156BC600A3AAC8 /* TSBaseNavigationC.swift */,
				A81CA4682D156AAB00A3AAC8 /* TSBaseVC.swift */,
			);
			path = BaseClass;
			sourceTree = "<group>";
		};
		A81CA46C2D156C6800A3AAC8 /* GlobalImports */ = {
			isa = PBXGroup;
			children = (
				A81CA46D2D156C6F00A3AAC8 /* GlobalImports.swift */,
			);
			path = GlobalImports;
			sourceTree = "<group>";
		};
		A81CA4752D15778800A3AAC8 /* Ex */ = {
			isa = PBXGroup;
			children = (
				A8C4C01C2D2397B4003C46FC /* UIViewController+Ex.swift */,
				A8477C982D2291F100DF0B93 /* UserDefault+Ex.swift */,
				A81F5B4E2D19673500740085 /* AVAsset+Ex.swift */,
				A81F5B312D18FA2E00740085 /* Component */,
				A81CA4B72D16A6B600A3AAC8 /* View+Ex.swift */,
				A81CA4AF2D1694C200A3AAC8 /* Date+Ex.swift */,
				A81CA4A52D16914C00A3AAC8 /* Dictionary+Ex.swift */,
				A81F5B4C2D1965EF00740085 /* UIImage+Ex.swift */,
				A81CA4A72D16918400A3AAC8 /* Array+Ex.swift */,
				A81CA49E2D1655BE00A3AAC8 /* UICollectionView+Ex.swift */,
				A81F5B3F2D194EA900740085 /* UIDevice+Extension.swift */,
				A81CA49C2D1654A500A3AAC8 /* UITableView+Ex.swift */,
				A81CA4802D157B0A00A3AAC8 /* UIFont+Ex.swift */,
				A81CA4762D15779400A3AAC8 /* UIColor+Ex.swift */,
				A81CA4782D1577E100A3AAC8 /* NSString+Ex.swift */,
				A81CA47A2D15784400A3AAC8 /* Int+Ex.swift */,
				A81CA4822D157F5200A3AAC8 /* UIImageView+Ex.swift */,
				A81CA4842D15829E00A3AAC8 /* UIButton+Ex.swift */,
				A81CA4862D15830E00A3AAC8 /* UILabel+Ex.swift */,
				A81F5B532D1969D500740085 /* CGFloat+Ex.swift */,
				A81F5B482D1956E600740085 /* UIScreen.swift */,
			);
			path = Ex;
			sourceTree = "<group>";
		};
		A81CA47C2D15787D00A3AAC8 /* DataManger */ = {
			isa = PBXGroup;
			children = (
				A81F5B552D1982A900740085 /* TSImageDataCenter.swift */,
				A81F5B5C2D1A905800740085 /* TSHomeDataModel.swift */,
				A81F5B5E2D1A907B00740085 /* TSRandomWallpaperModel.swift */,
				A81CA47D2D15788C00A3AAC8 /* Config */,
			);
			path = DataManger;
			sourceTree = "<group>";
		};
		A81CA47D2D15788C00A3AAC8 /* Config */ = {
			isa = PBXGroup;
			children = (
				A81CA47E2D15789A00A3AAC8 /* TSConfig.swift */,
			);
			path = Config;
			sourceTree = "<group>";
		};
		A81CA4882D15840F00A3AAC8 /* Tool */ = {
			isa = PBXGroup;
			children = (
				A84C239E2D1E88C500B61B55 /* TSFileManagerTool.swift */,
				A81F5B4A2D19658300740085 /* PhotoTools.swift */,
				A81CA4B52D169F1A00A3AAC8 /* WindowHelper.swift */,
				A81CA4B32D169C2600A3AAC8 /* TSToastTool.swift */,
				A81CA4892D15841600A3AAC8 /* TSCommonTool */,
			);
			path = Tool;
			sourceTree = "<group>";
		};
		A81CA4892D15841600A3AAC8 /* TSCommonTool */ = {
			isa = PBXGroup;
			children = (
				A81CA48A2D15843500A3AAC8 /* TSCommonTool.swift */,
			);
			path = TSCommonTool;
			sourceTree = "<group>";
		};
		A81CA48C2D15855300A3AAC8 /* Business */ = {
			isa = PBXGroup;
			children = (
				A8477C952D2272FB00DF0B93 /* TSBusinessWebVC */,
				A81CA4A22D16747900A3AAC8 /* TSViewTool */,
				A81CA4932D16527E00A3AAC8 /* TSEditLiveVC */,
				A81CA4922D16525C00A3AAC8 /* TSRandomWallpaperVC */,
				A81CA4912D16521300A3AAC8 /* TSMineVC */,
				A81CA4902D16520500A3AAC8 /* TSHomeVC */,
				A81CA48D2D15855B00A3AAC8 /* TSTabBarController */,
			);
			path = Business;
			sourceTree = "<group>";
		};
		A81CA48D2D15855B00A3AAC8 /* TSTabBarController */ = {
			isa = PBXGroup;
			children = (
				A81CA48E2D15857900A3AAC8 /* TSTabBarController.swift */,
			);
			path = TSTabBarController;
			sourceTree = "<group>";
		};
		A81CA4902D16520500A3AAC8 /* TSHomeVC */ = {
			isa = PBXGroup;
			children = (
				A8F778B52D1BE98D00BF55D5 /* TSLiveWallpaperBrowseVC */,
				A81F5B572D1A5F0100740085 /* View */,
				A81CA49A2D1652C900A3AAC8 /* TSHomeVC.swift */,
				A81CA4B92D16B6DC00A3AAC8 /* TSHomeCell.swift */,
			);
			path = TSHomeVC;
			sourceTree = "<group>";
		};
		A81CA4912D16521300A3AAC8 /* TSMineVC */ = {
			isa = PBXGroup;
			children = (
				A839461C2D1D61A900ABFF0D /* VC */,
				A81CA4982D1652C200A3AAC8 /* TSMineVC.swift */,
				A81CA4A92D16943200A3AAC8 /* TSMineCell.swift */,
			);
			path = TSMineVC;
			sourceTree = "<group>";
		};
		A81CA4922D16525C00A3AAC8 /* TSRandomWallpaperVC */ = {
			isa = PBXGroup;
			children = (
				A83946382D1D6DEA00ABFF0D /* EasyVC */,
				A81F5B602D1AB14700740085 /* TSRandomWallpaperBrowseVC */,
				A81F5B3A2D19085F00740085 /* TSRandomWallpaperView */,
				A81CA4962D1652BB00A3AAC8 /* TSRandomWallpaperVC.swift */,
			);
			path = TSRandomWallpaperVC;
			sourceTree = "<group>";
		};
		A81CA4932D16527E00A3AAC8 /* TSEditLiveVC */ = {
			isa = PBXGroup;
			children = (
				A83946442D1D7C2B00ABFF0D /* TSEditVideoVC */,
				A81CA4942D1652B300A3AAC8 /* TSEditLiveVC.swift */,
				A8477C9E2D22ABD500DF0B93 /* TSEditLiveEidtCell.swift */,
			);
			path = TSEditLiveVC;
			sourceTree = "<group>";
		};
		A81CA4A22D16747900A3AAC8 /* TSViewTool */ = {
			isa = PBXGroup;
			children = (
				A8F778B32D1BB8F300BF55D5 /* PhotoManager.swift */,
				A81CA4A32D16748700A3AAC8 /* TSViewTool.swift */,
			);
			path = TSViewTool;
			sourceTree = "<group>";
		};
		A81CA4B12D1695F300A3AAC8 /* Resource */ = {
			isa = PBXGroup;
			children = (
				A81F5B502D19684D00740085 /* Json */,
				A81CA4B22D1695F800A3AAC8 /* Font */,
			);
			path = Resource;
			sourceTree = "<group>";
		};
		A81CA4B22D1695F800A3AAC8 /* Font */ = {
			isa = PBXGroup;
			children = (
			);
			path = Font;
			sourceTree = "<group>";
		};
		A81F5B312D18FA2E00740085 /* Component */ = {
			isa = PBXGroup;
			children = (
				A81F5B2A2D18F9C600740085 /* UICollectionView+More.swift */,
				A81F5B2E2D18FA2E00740085 /* CollectionViewComponent.swift */,
				A81F5B2F2D18FA2E00740085 /* Component.swift */,
				A81F5B302D18FA2E00740085 /* CommonSectionComponent.swift */,
			);
			path = Component;
			sourceTree = "<group>";
		};
		A81F5B3A2D19085F00740085 /* TSRandomWallpaperView */ = {
			isa = PBXGroup;
			children = (
				A81F5B3D2D19087600740085 /* TSRandomWallpaperBannerCell.swift */,
				A81F5B3B2D19086B00740085 /* TSRandomWallpaperCell.swift */,
			);
			path = TSRandomWallpaperView;
			sourceTree = "<group>";
		};
		A81F5B412D19558E00740085 /* EditorVideo */ = {
			isa = PBXGroup;
			children = (
				A81F5B462D19562800740085 /* EditorVideoControlMaskView.swift */,
				A81F5B422D19559C00740085 /* EditorVideoControlView.swift */,
				A81F5B432D19559C00740085 /* EditorVideoControlViewCell.swift */,
			);
			path = EditorVideo;
			sourceTree = "<group>";
		};
		A81F5B502D19684D00740085 /* Json */ = {
			isa = PBXGroup;
			children = (
				A81F5B512D19685900740085 /* response.json */,
			);
			path = Json;
			sourceTree = "<group>";
		};
		A81F5B572D1A5F0100740085 /* View */ = {
			isa = PBXGroup;
			children = (
				A81F5B5A2D1A5F1800740085 /* TSHomeTopBannerCell.swift */,
			);
			path = View;
			sourceTree = "<group>";
		};
		A81F5B602D1AB14700740085 /* TSRandomWallpaperBrowseVC */ = {
			isa = PBXGroup;
			children = (
				A8F778B12D1BA07000BF55D5 /* TSRandomWallpaperBrowseSelectView.swift */,
				A8F778AD2D1AC12100BF55D5 /* TSRandomWallpaperBrowseView.swift */,
				A81F5B612D1AB17C00740085 /* TSRandomWallpaperBrowseVC.swift */,
			);
			path = TSRandomWallpaperBrowseVC;
			sourceTree = "<group>";
		};
		A839461C2D1D61A900ABFF0D /* VC */ = {
			isa = PBXGroup;
			children = (
				A839461F2D1D61D100ABFF0D /* CellVC */,
			);
			path = VC;
			sourceTree = "<group>";
		};
		A839461F2D1D61D100ABFF0D /* CellVC */ = {
			isa = PBXGroup;
			children = (
				A83946262D1D623800ABFF0D /* TSShareUsVC.swift */,
				A83946202D1D61D400ABFF0D /* TSRateUsVC.swift */,
				A83946302D1D669E00ABFF0D /* TSTermsServiceVC.swift */,
				A839462E2D1D64B300ABFF0D /* TSAboutUsVC.swift */,
				A83946322D1D66A800ABFF0D /* TSPrivacyPolicyVC.swift */,
			);
			path = CellVC;
			sourceTree = "<group>";
		};
		A83946382D1D6DEA00ABFF0D /* EasyVC */ = {
			isa = PBXGroup;
			children = (
				A83946392D1D6E2F00ABFF0D /* TSRandomWallpaperTutorialsVC.swift */,
				A839463B2D1D6E3500ABFF0D /* TSRandomWallpaperCopyrightVC.swift */,
			);
			path = EasyVC;
			sourceTree = "<group>";
		};
		A839463D2D1D6F9400ABFF0D /* EasyVC */ = {
			isa = PBXGroup;
			children = (
				A8F778B62D1BE9A100BF55D5 /* TSLiveWallpaperBrowseVC.swift */,
				A839463E2D1D6FB600ABFF0D /* TSLiveWallpaperTutorialsVC.swift */,
				A83946422D1D701300ABFF0D /* TSLiveWallpaperCopyrightVC.swift */,
			);
			path = EasyVC;
			sourceTree = "<group>";
		};
		A83946442D1D7C2B00ABFF0D /* TSEditVideoVC */ = {
			isa = PBXGroup;
			children = (
				A84C23992D1E3A4300B61B55 /* GPVideoClipper */,
				A81F5B412D19558E00740085 /* EditorVideo */,
			);
			path = TSEditVideoVC;
			sourceTree = "<group>";
		};
		A8477C952D2272FB00DF0B93 /* TSBusinessWebVC */ = {
			isa = PBXGroup;
			children = (
				A8477C962D22737800DF0B93 /* TSBusinessWebVC.swift */,
			);
			path = TSBusinessWebVC;
			sourceTree = "<group>";
		};
		A84C23992D1E3A4300B61B55 /* GPVideoClipper */ = {
			isa = PBXGroup;
			children = (
				A84C23952D1E3A4300B61B55 /* GPVideoConfigMaker.swift */,
				A84C23962D1E3A4300B61B55 /* GPVideoPlayerView.swift */,
				A84C23972D1E3A4300B61B55 /* GPVideoClipperView.swift */,
				A84C23982D1E3A4300B61B55 /* GPVideoClipperController.swift */,
			);
			path = GPVideoClipper;
			sourceTree = "<group>";
		};
		A858EE182D1CF635004B680F /* ThirdParty */ = {
			isa = PBXGroup;
			children = (
				A8C4C0262D23CD88003C46FC /* LivePhoto */,
				A858EE162D1CF49B004B680F /* LivePhoto.swift */,
			);
			path = ThirdParty;
			sourceTree = "<group>";
		};
		A8C4C0232D23CD88003C46FC /* Util */ = {
			isa = PBXGroup;
			children = (
				A8C4C0202D23CD88003C46FC /* AVAssetExtension.swift */,
				A8C4C0212D23CD88003C46FC /* Converter4Image.swift */,
				A8C4C0222D23CD88003C46FC /* Converter4Video.swift */,
			);
			path = Util;
			sourceTree = "<group>";
		};
		A8C4C0262D23CD88003C46FC /* LivePhoto */ = {
			isa = PBXGroup;
			children = (
				A8C4C0232D23CD88003C46FC /* Util */,
				A8C4C0242D23CD88003C46FC /* LivePhotoCreater.swift */,
				A8C4C02C2D23D261003C46FC /* metadata.mov */,
				A8C4C02E2D23DCCC003C46FC /* 1.mov */,
				A8C4C0252D23CD88003C46FC /* VideoRecorder.swift */,
			);
			path = LivePhoto;
			sourceTree = "<group>";
		};
		A8E56BCB2D1520DD003C54AF = {
			isa = PBXGroup;
			children = (
				A8E56BF52D1520EC003C54AF /* TSLiveWallpaper */,
				A8E56BD52D1520DD003C54AF /* Products */,
				26583F0148474A7C756E32C9 /* Pods */,
				D901B78947260557CA1FA83C /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		A8E56BD52D1520DD003C54AF /* Products */ = {
			isa = PBXGroup;
			children = (
				A8E56BD42D1520DD003C54AF /* TSLiveWallpaper.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		A8E56BF52D1520EC003C54AF /* TSLiveWallpaper */ = {
			isa = PBXGroup;
			children = (
				A81CA4B12D1695F300A3AAC8 /* Resource */,
				A81CA48C2D15855300A3AAC8 /* Business */,
				A81CA47C2D15787D00A3AAC8 /* DataManger */,
				A81CA4662D156A8100A3AAC8 /* Common */,
				A81CA45F2D1567CD00A3AAC8 /* LaunchVC */,
				A8E56BEC2D1520EC003C54AF /* AppDelegate.swift */,
				A8E56BED2D1520EC003C54AF /* Assets.xcassets */,
				A8E56BEE2D1520EC003C54AF /* Info.plist */,
				A8E56BF02D1520EC003C54AF /* LaunchScreen.storyboard */,
			);
			path = TSLiveWallpaper;
			sourceTree = "<group>";
		};
		A8F778B52D1BE98D00BF55D5 /* TSLiveWallpaperBrowseVC */ = {
			isa = PBXGroup;
			children = (
				A839463D2D1D6F9400ABFF0D /* EasyVC */,
			);
			path = TSLiveWallpaperBrowseVC;
			sourceTree = "<group>";
		};
		D901B78947260557CA1FA83C /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				E33A770AEFA5810AED7219D3 /* Pods_TSLiveWallpaper.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		A8E56BD32D1520DD003C54AF /* TSLiveWallpaper */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = A8E56BE72D1520DE003C54AF /* Build configuration list for PBXNativeTarget "TSLiveWallpaper" */;
			buildPhases = (
				A7C670FF3600581807D435F0 /* [CP] Check Pods Manifest.lock */,
				A8E56BD02D1520DD003C54AF /* Sources */,
				A8E56BD12D1520DD003C54AF /* Frameworks */,
				A8E56BD22D1520DD003C54AF /* Resources */,
				CD3560202ECC0B9D97903E2D /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = TSLiveWallpaper;
			productName = TSLiveWallpaper;
			productReference = A8E56BD42D1520DD003C54AF /* TSLiveWallpaper.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		A8E56BCC2D1520DD003C54AF /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				CLASSPREFIX = TS;
				LastSwiftUpdateCheck = 1620;
				LastUpgradeCheck = 1620;
				TargetAttributes = {
					A8E56BD32D1520DD003C54AF = {
						CreatedOnToolsVersion = 16.2;
					};
				};
			};
			buildConfigurationList = A8E56BCF2D1520DD003C54AF /* Build configuration list for PBXProject "TSLiveWallpaper" */;
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = A8E56BCB2D1520DD003C54AF;
			minimizedProjectReferenceProxies = 1;
			preferredProjectObjectVersion = 77;
			productRefGroup = A8E56BD52D1520DD003C54AF /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				A8E56BD32D1520DD003C54AF /* TSLiveWallpaper */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		A8E56BD22D1520DD003C54AF /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				A8E56BF92D1520EC003C54AF /* Assets.xcassets in Resources */,
				A8C4C02D2D23D261003C46FC /* metadata.mov in Resources */,
				A81F5B522D19685900740085 /* response.json in Resources */,
				A8E56BFB2D1520EC003C54AF /* LaunchScreen.storyboard in Resources */,
				A8C4C02F2D23DCCC003C46FC /* 1.mov in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		A7C670FF3600581807D435F0 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-TSLiveWallpaper-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		CD3560202ECC0B9D97903E2D /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-TSLiveWallpaper/Pods-TSLiveWallpaper-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-TSLiveWallpaper/Pods-TSLiveWallpaper-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-TSLiveWallpaper/Pods-TSLiveWallpaper-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		A8E56BD02D1520DD003C54AF /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				A81CA49D2D1654B600A3AAC8 /* UITableView+Ex.swift in Sources */,
				A81CA4692D156AB600A3AAC8 /* TSBaseVC.swift in Sources */,
				A81CA4992D1652C400A3AAC8 /* TSMineVC.swift in Sources */,
				A8477C992D2291F800DF0B93 /* UserDefault+Ex.swift in Sources */,
				A81CA46E2D156C7000A3AAC8 /* GlobalImports.swift in Sources */,
				A81F5B4D2D1965F800740085 /* UIImage+Ex.swift in Sources */,
				A81CA4832D157F5C00A3AAC8 /* UIImageView+Ex.swift in Sources */,
				A81F5B322D18FA2E00740085 /* Component.swift in Sources */,
				A81F5B332D18FA2E00740085 /* CommonSectionComponent.swift in Sources */,
				A858EE172D1CF49B004B680F /* LivePhoto.swift in Sources */,
				A81F5B492D1956EA00740085 /* UIScreen.swift in Sources */,
				A81F5B342D18FA2E00740085 /* CollectionViewComponent.swift in Sources */,
				A81CA4722D1575B900A3AAC8 /* TSBaseNavigationBarView.swift in Sources */,
				A81F5B5B2D1A5F2300740085 /* TSHomeTopBannerCell.swift in Sources */,
				A83946312D1D66A000ABFF0D /* TSTermsServiceVC.swift in Sources */,
				A81F5B472D19562800740085 /* EditorVideoControlMaskView.swift in Sources */,
				A81F5B392D19037800740085 /* TSBaseModel.swift in Sources */,
				A81CA4A62D16915F00A3AAC8 /* Dictionary+Ex.swift in Sources */,
				A81CA4AA2D16943800A3AAC8 /* TSMineCell.swift in Sources */,
				A83946212D1D61D600ABFF0D /* TSRateUsVC.swift in Sources */,
				A81F5B4F2D19674600740085 /* AVAsset+Ex.swift in Sources */,
				A8E56BF62D1520EC003C54AF /* AppDelegate.swift in Sources */,
				A8F778B42D1BB8F600BF55D5 /* PhotoManager.swift in Sources */,
				A81CA4872D15832900A3AAC8 /* UILabel+Ex.swift in Sources */,
				A81F5B5D2D1A906C00740085 /* TSHomeDataModel.swift in Sources */,
				A8F778B02D1AC17500BF55D5 /* TSBaseView.swift in Sources */,
				A81CA49B2D1652CA00A3AAC8 /* TSHomeVC.swift in Sources */,
				A81CA4B82D16A6BD00A3AAC8 /* View+Ex.swift in Sources */,
				A81CA4792D1577E800A3AAC8 /* NSString+Ex.swift in Sources */,
				A81CA4852D1582A600A3AAC8 /* UIButton+Ex.swift in Sources */,
				A81CA46B2D156BDC00A3AAC8 /* TSBaseNavigationC.swift in Sources */,
				A81CA47F2D15789C00A3AAC8 /* TSConfig.swift in Sources */,
				A81CA49F2D1655CE00A3AAC8 /* UICollectionView+Ex.swift in Sources */,
				A81F5B2B2D18F9C600740085 /* UICollectionView+More.swift in Sources */,
				A81CA4BA2D16B6E300A3AAC8 /* TSHomeCell.swift in Sources */,
				A8F778B22D1BA07200BF55D5 /* TSRandomWallpaperBrowseSelectView.swift in Sources */,
				A8477C9F2D22ABDA00DF0B93 /* TSEditLiveEidtCell.swift in Sources */,
				A81CA4652D15685F00A3AAC8 /* TSLaunchVC.swift in Sources */,
				A81F5B402D194EA900740085 /* UIDevice+Extension.swift in Sources */,
				A8F778AE2D1AC12400BF55D5 /* TSRandomWallpaperBrowseView.swift in Sources */,
				A81F5B4B2D19658300740085 /* PhotoTools.swift in Sources */,
				A83946272D1D623800ABFF0D /* TSShareUsVC.swift in Sources */,
				A8C4C01D2D2397B9003C46FC /* UIViewController+Ex.swift in Sources */,
				A81F5B542D1969E000740085 /* CGFloat+Ex.swift in Sources */,
				A81CA48B2D15843700A3AAC8 /* TSCommonTool.swift in Sources */,
				A81CA4AD2D16944B00A3AAC8 /* TSBaseTabViewCell.swift in Sources */,
				A84C239A2D1E3A4300B61B55 /* GPVideoPlayerView.swift in Sources */,
				A84C239B2D1E3A4300B61B55 /* GPVideoClipperController.swift in Sources */,
				A84C239C2D1E3A4300B61B55 /* GPVideoClipperView.swift in Sources */,
				A84C239D2D1E3A4300B61B55 /* GPVideoConfigMaker.swift in Sources */,
				A839463C2D1D6E3600ABFF0D /* TSRandomWallpaperCopyrightVC.swift in Sources */,
				A8C4C0272D23CD88003C46FC /* AVAssetExtension.swift in Sources */,
				A8C4C0282D23CD88003C46FC /* LivePhotoCreater.swift in Sources */,
				A8C4C0292D23CD88003C46FC /* VideoRecorder.swift in Sources */,
				A8C4C02A2D23CD88003C46FC /* Converter4Video.swift in Sources */,
				A8C4C02B2D23CD88003C46FC /* Converter4Image.swift in Sources */,
				A81CA4AE2D16944B00A3AAC8 /* TSBaseCollectionCell.swift in Sources */,
				A81CA4772D15779E00A3AAC8 /* UIColor+Ex.swift in Sources */,
				A81CA4952D1652B500A3AAC8 /* TSEditLiveVC.swift in Sources */,
				A83946332D1D66A900ABFF0D /* TSPrivacyPolicyVC.swift in Sources */,
				A81CA47B2D15784800A3AAC8 /* Int+Ex.swift in Sources */,
				A839463A2D1D6E3000ABFF0D /* TSRandomWallpaperTutorialsVC.swift in Sources */,
				A84C239F2D1E88CD00B61B55 /* TSFileManagerTool.swift in Sources */,
				A81F5B562D1982BF00740085 /* TSImageDataCenter.swift in Sources */,
				A839462F2D1D64BF00ABFF0D /* TSAboutUsVC.swift in Sources */,
				A81CA4812D157B1300A3AAC8 /* UIFont+Ex.swift in Sources */,
				A8477C972D22737900DF0B93 /* TSBusinessWebVC.swift in Sources */,
				A81CA4B62D169F2400A3AAC8 /* WindowHelper.swift in Sources */,
				A81CA4972D1652BD00A3AAC8 /* TSRandomWallpaperVC.swift in Sources */,
				A81CA4A82D16918900A3AAC8 /* Array+Ex.swift in Sources */,
				A81F5B622D1AB17E00740085 /* TSRandomWallpaperBrowseVC.swift in Sources */,
				A839463F2D1D6FB700ABFF0D /* TSLiveWallpaperTutorialsVC.swift in Sources */,
				A81CA4A12D166F3C00A3AAC8 /* TSBasicItemModel.swift in Sources */,
				A81CA4B42D169C2E00A3AAC8 /* TSToastTool.swift in Sources */,
				A81F5B5F2D1A909300740085 /* TSRandomWallpaperModel.swift in Sources */,
				A8F778B72D1BE9A500BF55D5 /* TSLiveWallpaperBrowseVC.swift in Sources */,
				A81CA48F2D15857B00A3AAC8 /* TSTabBarController.swift in Sources */,
				A81CA4B02D1694C900A3AAC8 /* Date+Ex.swift in Sources */,
				A83946432D1D701500ABFF0D /* TSLiveWallpaperCopyrightVC.swift in Sources */,
				A81F5B3C2D19087100740085 /* TSRandomWallpaperCell.swift in Sources */,
				A81F5B442D19559C00740085 /* EditorVideoControlViewCell.swift in Sources */,
				A81F5B452D19559C00740085 /* EditorVideoControlView.swift in Sources */,
				A81F5B3E2D19088100740085 /* TSRandomWallpaperBannerCell.swift in Sources */,
				A81CA4A42D16748800A3AAC8 /* TSViewTool.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		A8E56BF02D1520EC003C54AF /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				A8E56BEF2D1520EC003C54AF /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		A8E56BE82D1520DE003C54AF /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = CA36AE9B313600F95F04D9CA /* Pods-TSLiveWallpaper.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_IDENTITY = "Apple Development";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 4;
				DEVELOPMENT_TEAM = 65UD255J84;
				ENABLE_APP_SANDBOX = NO;
				ENABLE_USER_SCRIPT_SANDBOXING = NO;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = TSLiveWallpaper/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = LiveLive;
				INFOPLIST_KEY_NSPhotoLibraryUsageDescription = NSPhotoLibraryUsageDescription;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UISupportedInterfaceOrientations = UIInterfaceOrientationPortrait;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0.0;
				PRODUCT_BUNDLE_IDENTIFIER = musicplayer.offline.com;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		A8E56BE92D1520DE003C54AF /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 71E5F623537702A8306DF3C8 /* Pods-TSLiveWallpaper.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_IDENTITY = "Apple Development";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 4;
				DEVELOPMENT_TEAM = 65UD255J84;
				ENABLE_APP_SANDBOX = NO;
				ENABLE_USER_SCRIPT_SANDBOXING = NO;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = TSLiveWallpaper/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = LiveLive;
				INFOPLIST_KEY_NSPhotoLibraryUsageDescription = NSPhotoLibraryUsageDescription;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UISupportedInterfaceOrientations = UIInterfaceOrientationPortrait;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0.0;
				PRODUCT_BUNDLE_IDENTIFIER = musicplayer.offline.com;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		A8E56BEA2D1520DE003C54AF /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 18.2;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = "DEBUG $(inherited)";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		A8E56BEB2D1520DE003C54AF /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 18.2;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		A8E56BCF2D1520DD003C54AF /* Build configuration list for PBXProject "TSLiveWallpaper" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				A8E56BEA2D1520DE003C54AF /* Debug */,
				A8E56BEB2D1520DE003C54AF /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		A8E56BE72D1520DE003C54AF /* Build configuration list for PBXNativeTarget "TSLiveWallpaper" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				A8E56BE82D1520DE003C54AF /* Debug */,
				A8E56BE92D1520DE003C54AF /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = A8E56BCC2D1520DD003C54AF /* Project object */;
}
